<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-product-heading">Create or edit a Product</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_shopId">Shop Id</label>
                    <input type="text" class="form-control" name="shopId" id="field_shopId"
                           formControlName="shopId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_name">Name</label>
                    <input type="text" class="form-control" name="name" id="field_name"
                           formControlName="name"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                           formControlName="description"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_policy">Policy</label>
                    <input type="text" class="form-control" name="policy" id="field_policy"
                           formControlName="policy"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_images">Images</label>
                    <input type="text" class="form-control" name="images" id="field_images"
                           formControlName="images"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_active">Active</label>
                    <input type="checkbox" class="form-control" name="active" id="field_active"
                           formControlName="active"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_service">Service</label>
                    <select class="form-control" id="field_service" name="service" formControlName="service">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="serviceOption.id === editForm.get('service')!.value?.id ? editForm.get('service')!.value : serviceOption" *ngFor="let serviceOption of services; trackBy: trackById">{{ serviceOption.id }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_subProductCategory">Sub Product Category</label>
                    <select class="form-control" id="field_subProductCategory" name="subProductCategory" formControlName="subProductCategory">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="subProductCategoryOption.id === editForm.get('subProductCategory')!.value?.id ? editForm.get('subProductCategory')!.value : subProductCategoryOption" *ngFor="let subProductCategoryOption of subproductcategories; trackBy: trackById">{{ subProductCategoryOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
